Subject: Re: bug#67458: 30.0.50; Emacs Pgtk doesn't recognize Hyper key on Linux Wayland

From: Stefan Kangas <[email-masked]>
Date: Mon, 25 Dec 2023 06:34:45 -0800

Eli Zaretskii <[email-masked]> writes:

>> From: Eval Exec <[email-masked]>
>> Date: Sun, 26 Nov 2023 18:31:31 +0800
>>
>> Hello, I'm have an Emacs Pgtk build from NixOS's emacs-overlay,
>> And I Re-maped left ctrl key as Hyper key, and set the Hyper key as Mod3:
>> ```bash
>> $ xmodmap
>> xmodmap:  up to 4 keys per modifier, (keycodes in parentheses):
>>
>> shift       Shift_L (0x32),  Shift_R (0x3e)
>> lock
>> control     Control_L (0x42),  Control_R (0x69)
>> mod1        Alt_L (0x40),  Alt_R (0x6c),  Alt_L (0xcc),  Meta_L (0xcd)
>> mod2        Num_Lock (0x4d)
>> mod3        Hyper_L (0x25),  ISO_Level5_Shift (0xcb),  Hyper_L (0xcf)
>> mod4        Super_L (0x85),  Super_R (0x86),  Super_L (0xce)
>> mod5        ISO_Level3_Shift (0x5c)
>> ```
>>
>> As you can see, `Hyper_L` is `mod3`.
>>
>> But when I open `emacs-pgtk` and M-x describe-key, then press
>> `Hyper_L` (original left control) and `p` key, emacs just recognizes
>> it as a single `p` key. This is not expected. I expect Emacs will
>> recognize its `H-p` key.
>>
>> And I can confirm this issue does not happen on non pgtk emacs. Emacs
>> non-pkgtk  will recognize `Hyper_L` + `p` as `H-p` in `describe-key`.
>
> This is a known problem, see etc/PROBLEMS (search for "PGTK").
>
> Unfortunately, there's no known solution or workaround.

Do we leave this bug open?  Tag it as "help"?  "wontfix"?